import { Logger } from "./logger";
import { JobDTO } from "../../client/job";
import { QueuesUpdateCronBody } from "../scheduler/types/queues/update-cron";
export declare class StructuredLogger implements Logger {
    readonly log: import("pino").Logger<{
        level: string;
    }>;
    constructor(log?: import("pino").Logger<{
        level: string;
    }>);
    started(address: string, telemetryEnabled: boolean): void;
    executionErrored(job: {
        tokenId: string;
        id: string;
        endpoint: string;
        body: string;
    }, error: string): void;
    jobCreated(job: JobDTO & {
        tokenId: string;
    }): void;
    jobDeleted(job: {
        endpoint: string;
        id: string;
        tokenId: string;
    }): void;
    cronUpdated(crons: QueuesUpdateCronBody, deleted: string[]): void;
    startingExecution(job: {
        id: string;
        tokenId: string;
        endpoint: string;
        body: string;
    }): () => void;
}
